Page MenuHomePhabricator

Drop Gather tables from wmf wikis
Closed, ResolvedPublic

Description

Extension was undeployed everywhere. The following tables can be dropped:

gather_list
gather_list_flag
gather_list_item

From the following wikis:

testwiki
test2wiki
enwikivoyage
hewiki
enwiki

Event Timeline

demon created this task.May 22 2017, 11:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2017, 11:00 PM
Marostegui moved this task from Triage to Backlog on the DBA board.May 23 2017, 6:38 AM

Mentioned in SAL (#wikimedia-operations) [2017-05-23T07:07:02Z] <marostegui> Rename gather_list gather_list_flag gather_list_item on db1078 db1094 and db1089 - T166097

I have renamed the tables on a few hosts and will leave them like that for a few days to make sure no errors appear.
They have been renamed to:

T166097_gather_list
T166097_gather_list_flag
T166097_gather_list_item

The hosts where they have been renamed:

testwiki, test2wiki, enwikivoyage -> s3 -> db1078

hewiki -> s7 -> db1094

enwiki -> s1 -> db1089

To revert these changes on those hosts:

rename table T166097_gather_list to gather_list;
rename table T166097_gather_list_flag to gather_list_flag;
rename table T166097_gather_list_item to gather_list_item;

I have backuped those tables on:

dbstore1001:/srv/tmp/T166097

I have backuped those tables on:

dbstore1001:/srv/tmp/T166097

Thanks.

Jdlrobson added a subscriber: Jdlrobson.

Would it be possible to get access to those backups? I'd be interested in the public aspects of those database tables.
What permissions do I need?

Not the backups, but maybe public dumps could be generated? But that requires someone compromising to sanitize them.

If it is a one-time access, regular access requests workflow would be needed, with the same restrictions that other private data are. I do not know if that is private, but I am going to assume by default they are unless otherwise proven.

Mentioned in SAL (#wikimedia-operations) [2017-05-29T09:01:40Z] <marostegui> Drop gather tables from: testwiki, test2wiki, enwikivoyage, hewiki, enwiki - T166097

Marostegui closed this task as Resolved.May 29 2017, 9:01 AM
Marostegui claimed this task.

I have removed the tables from production as after almost a week there were no issues with replication/log errors on the renamed hosts.